Rep + team performance
curl --request GET \
--url https://api.pineyard.ai/speech/people \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"reps": [
{
"repId": "<string>",
"name": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"calls": 123,
"averageScore": 123,
"convertedRate": 123,
"classifiedSample": 123,
"totalDuration": 123,
"tier": "strong"
}
],
"teams": [
{
"teamId": "<string>",
"name": "<string>",
"colour": "<string>",
"reps": 123,
"calls": 123,
"averageScore": 123,
"convertedRate": 123
}
]
}Insights
Rep + team performance
GET
/
speech
/
people
Rep + team performance
curl --request GET \
--url https://api.pineyard.ai/speech/people \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"reps": [
{
"repId": "<string>",
"name": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"calls": 123,
"averageScore": 123,
"convertedRate": 123,
"classifiedSample": 123,
"totalDuration": 123,
"tier": "strong"
}
],
"teams": [
{
"teamId": "<string>",
"name": "<string>",
"colour": "<string>",
"reps": 123,
"calls": 123,
"averageScore": 123,
"convertedRate": 123
}
]
}Required scope:
speech.view
